#
# OPC.PY
#

# load ZES RS232 functions
import zes                 

# load tool collection of programmer's guide
import g_tool

# Open the serial interface, clear output buffer,
# initialize data path and instrument.
LMG=g_tool.init("COM1", "BAUD=38400 EOS=LF PROTO=RTS/CTS")

# Change to SHORT language
g_tool.Write_command_with_OPC(LMG, "SYST:LANG SHORT")
# Let the instrument beep
g_tool.Write_command_with_OPC(LMG, "BEEP")

# Close the interface. It is assumed, that the handle of the LMG
# instrument is called LMG and the RS232 interface is used.
g_tool.close(LMG)
print "Programm finished" 
