#
#STRING.PY
#

# load ZES RS232 functions
import zes

#Open the serial interface:
LMG=zes.Open("COM1", "BAUD=38400 EOS=LF PROTO=RTS/CTS")

# Write formula without linefeed to instrument
zes.Write(LMG, "CALC:FORM \"a=1;b=2;c=3;\"")
# Request formula from instrument
zes.Write(LMG, "CALC:FORM?")
# Read answer from instrument
answer=zes.Read(LMG)
# Place answer on screen
print "Answer without linefeed and standard Read function is:\n"+answer

# Write formula with linefeed to instrument
zes.Write(LMG, "CALC:FORM \"a=1;\nb=2;\nc=3;\"")

# Request formula from instrument
zes.Write(LMG, "CALC:FORM?")
# Read answer from instrument with standard Read function
answer=zes.Read(LMG)
# Place answer on screen
print "\nAnswers with linefeed and standard Read functions are:\n"+answer
# This answer has terminated at first lf, so read the other ones:
# Read answer from instrument with standard Read function
answer=zes.Read(LMG)
# Place answer on screen
print answer
# Read answer from instrument with standard Read function
answer=zes.Read(LMG)
# Place answer on screen
print answer

# Request formula from instrument
zes.Write(LMG, "CALC:FORM?")
# Read answer from instrument with ReadQuota function for strings
answer=zes.ReadQuota(LMG)
# Place answer on screen
print "\nAnswer with linefeed and ReadQuota function for strings is:\n"+answer
# Write command to instrument
zes.Write(LMG, "GTL")

# Close connection
zes.Close(LMG)
print "\nProgramm finished" 
